[java-idp-plugin-jetty] 02/05: Exit with error if desired jetty version not found.
Codeberg
noreply at shibboleth.net
Mon Dec 15 15:28:30 UTC 2025
This is an automated email from the git hooks/post-receive script.
codeberg pushed a commit to branch main
in repository java-idp-plugin-jetty.
View the commit online:
https://codeberg.org/Shibboleth/java-idp-plugin-jetty/commit/98ae7a62ce926be461861de37613f67791512ad7
commit 98ae7a62ce926be461861de37613f67791512ad7
Author: premeau <premeau at noreply.codeberg.org>
AuthorDate: Thu Dec 11 15:20:34 2025 +0100
Exit with error if desired jetty version not found.
---
.../main/resources/net/shibboleth/idp/module/jetty/setjettyversion.sh | 1 +
1 file changed, 1 insertion(+)
diff --git a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/setjettyversion.sh b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/setjettyversion.sh
index 7351bc6..32d2728 100644
--- a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/setjettyversion.sh
+++ b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/setjettyversion.sh
@@ -51,6 +51,7 @@ fi
if [ ! -d "${IDP_HOME}/jetty-dist/jetty-home-${TARGET_JETTY_VER}" ] ; then
echo Jetty Version ${TARGET_JETTY_VER} not found, exiting.
+ exit 1
fi
CURRENT_JETTY_VER=$(readlink -e ${IDP_HOME}/jetty-home | sed -e 's/.*-//')
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
More information about the commits
mailing list